
Redmine - Defect #21069

Hard-coded label for hour

2015-10-26 15:10 - Fabrice ROBIN

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed Affected version: 3.1.1

Description

The commit r14273, which has been merged into the 3.1 branch, introduced an error as a "h" label is hard-coded in the function

l_hours_short:

"%.2f h" % hours.to_f

 This label should be translated through i18n. Asian users will surely report this anomaly.

Associated revisions

Revision 14759 - 2015-10-29 15:01 - Jean-Philippe Lang

Adds translation string for hours with symbol (#21069).

Revision 14766 - 2015-10-30 09:56 - Jean-Philippe Lang

Fixed that #l_hours_short shows 2 h (#21069).

History

#1 - 2015-10-26 15:10 - Fabrice ROBIN

see Defect #17550

#2 - 2015-10-26 15:24 - Toshi MARUYAMA

- Description updated

#3 - 2015-10-26 15:45 - Toshi MARUYAMA

- Target version set to 3.2.0

#4 - 2015-10-29 15:02 - Jean-Philippe Lang

- Subject changed from hard-coded label for hour to Hard-coded label for hour

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Translation string added in r14759.

#5 - 2015-10-29 20:37 - Daniel Ritz

Errm...it's now showing stuff like "2.5 h h":

     def l_hours_short(hours)

-      "%.2f h" % hours.to_f

+      l(:label_f_hour_short, :value => ("%.2f h" % hours.to_f))

     end

i.e. the format string still contains the " h"...

#6 - 2015-10-30 03:25 - Toshi MARUYAMA

- Status changed from Closed to Reopened
https://www.redmine.org/projects/redmine/repository/svn/revisions/14273
https://www.redmine.org/issues/17550
https://www.redmine.org/projects/redmine/repository/svn/revisions/14759


#7 - 2015-10-30 09:57 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Fixed.
